Index: /extensions/event_cats/language/ru_RU/duplic.lang.php
===================================================================
--- /extensions/event_cats/language/ru_RU/duplic.lang.php	(revision 22629)
+++ /extensions/event_cats/language/ru_RU/duplic.lang.php	(revision 22629)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Create a new account with same properties'] = 'Создать новый аккаунт с теми же самыми свойствами';
+$lang['Duplicate'] = 'Дублировать (создать копию)';
+?>
Index: /extensions/event_cats/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/ru_RU/plugin.lang.php	(revision 22629)
+++ /extensions/event_cats/language/ru_RU/plugin.lang.php	(revision 22629)
@@ -0,0 +1,106 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Image id'] = 'ID изображения';
+$lang['In a row'] = 'В строке';
+$lang['New code'] = 'Новый код:';
+$lang['New entry'] = 'Новая запись';
+$lang['New group'] = 'Новая группа';
+$lang['New password'] = 'Пароль';
+$lang['New username'] = 'Имя пользователя';
+$lang['ec_assoc_pb'] = 'Невозможно связать "%1$s" с "%2$s"';
+$lang['ec_category_miss'] = 'альбом не существует (возможно, удален)';
+$lang['ec_clk_entry_miss'] = 'Выберите первую запись.';
+$lang['ec_code_already_exists'] = 'Этот код ужЕ существует.';
+$lang['ec_config_saved'] = 'Конфигурация сохранена.';
+$lang['ec_dspl_nok_actn'] = '"действие" невыполнимо';
+$lang['ec_submit_code_miss'] = 'Вы должны предоставить код.';
+$lang['ec_submit_user_miss'] = 'Вы должны предоставить имя пользователя.';
+$lang['ec_tab_autoid_entries'] = 'Записи для автоматического входа';
+$lang['ec_image_miss'] = 'изображение не существует (возможно, удалено)';
+$lang['ec_new_pwd_gen'] = 'Не забывайте написать пароль внизу!';
+$lang['ec_nok'] = 'НЕТ';
+$lang['ec_nok_action_pb'] = 'НЕТ: действие нарушено';
+$lang['ec_nok_ap_pb'] = 'НЕТ';
+$lang['ec_nok_userid_miss'] = 'НЕТ: неизвестный пользователь';
+$lang['ec_nok_userid_pb'] = 'НЕТ: "user_id" нарушен';
+$lang['ec_ok'] = 'ДА';
+$lang['ec_ok_ap_pb'] = 'ДА, но неизвестная страница плагина Add.Page';
+$lang['ec_ok_cat_pb'] = 'ДА, но неизвестный альбом';
+$lang['ec_ok_img_pb'] = 'ДА, но неизвестное изображение';
+$lang['ec_submit_action_miss'] = 'Вы должны предоставить страницы для отображения.';
+$lang['ec_submit_code_bad'] = 'Длина кода от 4 до 32 значений, включая символы [a-zA-Z0-9_-].';
+$lang['ec_dspl_ok_img2'] = 'изображение n°%1$s: %2$s (%3$s)';
+$lang['ec_dspl_usr_pb'] = '"user_id" не может быть использован';
+$lang['ec_entry_already_exists'] = 'Запись %s ужЕ существуют с точно такой же конфигурацией';
+$lang['ec_entry_create_OK'] = 'Запись %s создана';
+$lang['ec_entry_create_pb'] = 'Создание записи невозможно';
+$lang['ec_entry_del_nok'] = 'Проблема при удалении записи %s: ';
+$lang['ec_entry_del_ok'] = 'Запись %1$s ("%2$s") удалена.';
+$lang['ec_entry_dont_exist'] = 'Запись %s не существует';
+$lang['ec_entry_modify_OK'] = 'Запись %s модифицирована';
+$lang['ec_gen_user_act_miss'] = 'Выберите первую страницу для показа';
+$lang['ec_group_create_OK'] = 'Группа  "%s" создана';
+$lang['ec_group_create_OK2'] = '"%1$s" ссылается на "%2$s"';
+$lang['ec_group_create_pb'] = 'Создание группы "%s" невозможно';
+$lang['URL'] = 'URL:';
+$lang['Unknown code'] = 'Неизвестный код';
+$lang['Username'] = 'Имя пользователя';
+$lang['ec_DB_problem'] = 'Проблема доступа к базе данных (позиция %s):';
+$lang['ec_tab_autoid_modif'] = 'Изменение автоматического входа';
+$lang['ec_tab_autoid_new'] = 'Новый автоматический вход';
+$lang['ec_tab_config'] = 'Конфигурация';
+$lang['ec_tab_duplication'] = 'Дублирование';
+$lang['ec_user_already_exists'] = 'Такое имя пользователя ужЕ существует.';
+$lang['ec_user_create_OK'] = 'Пользователь "%s" создан';
+$lang['ec_user_create_pb'] = 'Создание нового пользователя невозможно';
+$lang['ec_user_generic_OK'] = 'Пользователь "%s" сгенерирован';
+$lang['ec_user_generic_pb'] = 'Проблема при создании пользователя "%s"';
+$lang['ec_username_miss'] = 'пользователь не существует (возможно, удален)';
+$lang['ec_username_pb'] = 'поле "user_id" повреждено (разные значения в записях используют тот же самый код)';
+$lang['Configuration'] = 'Конфигурация';
+$lang['Confirm password'] = 'Подтвердите пароль:';
+$lang['Delete'] = 'Удаление';
+$lang['Delete entry ttip'] = 'Удаление записи';
+$lang['Deny to groups btn'] = 'Запретить дублирование выбранных групп';
+$lang['Deny to types btn'] = 'Запретить дублирование выбранных типов';
+$lang['Deny to users btn'] = 'Запретить дублирование выбранных пользователей';
+$lang['Duplicate entry ttip'] = 'Создать новую запись, используя тот же самый код';
+$lang['Access denied'] = 'В доступе отказано';
+$lang['Additional Page'] = 'Additional Page';
+$lang['Additional Pages active'] = 'Плагин Additional Page активирован';
+$lang['Admin page title'] = 'Категория события';
+$lang['All accounts'] = 'Все аакаунты';
+$lang['All but generics'] = 'Все аккаунты одной группы';
+$lang['As tooltip'] = 'Как подсказка';
+$lang['Auto code button'] = 'Генерировать код';
+$lang['Auto code end'] = 'цифры';
+$lang['Auto code max'] = '(макс.)';
+$lang['Auto code mid'] = 'имеется';
+$lang['Auto code min'] = '(мин.)';
+$lang['Autolog entries'] = 'Автоматический вход';
+$lang['Banner off'] = 'Отключен';
+$lang['Banner on'] = 'Активирован';
+$lang['Category'] = 'Альбом';
+$lang['Code'] = 'Код';
+$lang['Comment'] = 'Комментарий';
+?>