Index: trunk/language/sl_SI/common.lang.php
===================================================================
--- trunk/language/sl_SI/common.lang.php	(revision 22616)
+++ trunk/language/sl_SI/common.lang.php	(revision 22633)
@@ -1,3 +1,3 @@
-<?php
+﻿<?php
 // +-----------------------------------------------------------------------+
 // | Piwigo - a PHP based photo gallery                                    |
@@ -36,6 +36,6 @@
 
 $lang['%d Kb'] = '%d Kb';
-$lang['%d album updated'] = '%d kategorija popravljena';
-$lang['%d albums updated'] = '%d kategorij popravljenih';
+$lang['%d album updated'] = '%d album popravljena';
+$lang['%d albums updated'] = '%d albumov popravljenih';
 $lang['%d comment to validate'] = '%d komentar za preveriti';
 $lang['%d comments to validate'] = '%d komentarjev za preveriti';
@@ -46,5 +46,5 @@
 $lang['%d hit'] = '%d zadetek';
 $lang['%d hits'] = '%d zadetkov';
-$lang['%d new user'] = '%d novi uporabnik';
+$lang['%d new user'] = '%d nov uporabnik';
 $lang['%d new users'] = '%d novih uporabnikov';
 $lang['About'] = 'Vizitka';
@@ -53,6 +53,6 @@
 $lang['At least one listed rule must be satisfied.'] = 'Vsaj eno pravilo mora biti izpolnjeno.';
 $lang['Author'] = 'Avtor';
-$lang['Albums'] = 'Kategorije';
-$lang['Album'] = 'Kategorija';
+$lang['Albums'] = 'Albumi';
+$lang['Album'] = 'Album';
 $lang['Close this window'] = 'Zapri okno';
 $lang['Confirm Password'] = 'Potrdi geslo';
@@ -64,13 +64,13 @@
 $lang['Current password is wrong'] = 'Napačno geslo';
 $lang['Dimensions'] = 'Dimenzije';
-$lang['Display'] = 'Zaslon';
+$lang['Display'] = 'Prikaz';
 $lang['%d new photo'] = '%d nova slika';
 $lang['%d new photos'] = '%d novih slik';
-$lang['Complete RSS feed (photos, comments)'] = 'RSS vir (slike, komentarji)';
+$lang['Complete RSS feed (photos, comments)'] = 'Poln RSS vir (slike, komentarji)';
 $lang['Login'] = 'Prijava';
 $lang['Each listed rule must be satisfied.'] = 'Vsa pravila morajo biti izpolnjena.';
 $lang['Email address'] = 'E-pošta';
 $lang['Enter your personnal informations'] = 'Vnesite svoje osebne podatke';
-$lang['Error sending email'] = 'Napaka pri pošiljanju pošte';
+$lang['Error sending email'] = 'Napaka pri pošiljanju e-pošte';
 $lang['File name'] = 'Ime datoteke';
 $lang['File'] = 'Datoteka';
@@ -78,9 +78,9 @@
 $lang['Filter and display'] = 'Filter in prikaz';
 $lang['Filter'] = 'Filter';
-$lang['Forgot your password?'] = 'Si pozabil geslo?';
+$lang['Forgot your password?'] = 'Ste pozabili vaše geslo?';
 $lang['Go through the gallery as a visitor'] = 'Obišči galerijo kot obiskovalec';
 $lang['Help'] = 'Pomoč';
 $lang['Identification'] = 'Identifikacija';
-$lang['Photos only RSS feed'] = 'RSS vir (samo slike)';
+$lang['Photos only RSS feed'] = 'Slikovni RSS vir (samo slike)';
 $lang['Keyword'] = 'Ključna beseda';
 $lang['Links'] = 'Povezave';
@@ -88,5 +88,5 @@
 $lang['New on %s'] = 'Nov na %s';
 $lang['Notification'] = 'Obvestilo';
-$lang['Number of items'] = 'Število ';
+$lang['Number of items'] = 'Število predmetov ';
 $lang['Original dimensions'] = 'Originalna velikost';
 $lang['Password forgotten'] = 'Pozabljeno geslo';
@@ -97,5 +97,5 @@
 $lang['Quick connect'] = 'Hitra povezava';
 $lang['RSS feed'] = 'RSS vir';
-$lang['Register'] = 'Registracija';
+$lang['Register'] = 'Registriraj se';
 $lang['Registration'] = 'Registracija';
 $lang['Unknown feed identifier'] = 'Neznan identifikator vira';
@@ -106,5 +106,5 @@
 $lang['Week %d'] = 'Teden %d';
 $lang['About Piwigo'] = 'O Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Niste avtorizirani za dostop do zahtevane strani';
+$lang['You are not authorized to access the requested page'] = 'Za dostop do zahtevane strani nimate pooblastil';
 $lang['add this photo to your favorites'] = 'dodaj sliko med svoje priljubljene';
 $lang['Administration'] = 'Administracija';
@@ -149,13 +149,13 @@
 $lang['Search'] = 'Išči';
 $lang['display available tags'] = 'Prikaži možne oznake';
-$lang['Since'] = 'Odkar';
+$lang['Since'] = 'Od';
 $lang['Sort by'] = 'Uredi po';
 $lang['Sort order'] = 'Urejeno po';
-$lang['Tag'] = 'Označba';
+$lang['Tag'] = 'Oznaka';
 $lang['Tags'] = 'Oznake';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS viri omogočajo prijavo na dogodke te spletne strani, kot so: nove slike, nove kategorije, novi komentarji. Za uporabo je potreben RSS odjemalec.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS viri omogočajo prijavo na novosti te spletne strani, kot so: nove slike, novi albumi, novi komentarji. Za uporabo je potreben RSS odjemalec.';
 $lang['Default'] = 'Privzeto';
 $lang['delete this photo from your favorites'] = 'odstrani to sliko iz svojih priljubljenih';
-$lang['Delete'] = 'Odstrani';
+$lang['Delete'] = 'Izbriši';
 $lang['descending'] = 'padajoče';
 $lang['Download'] = 'prenesi';
@@ -178,7 +178,7 @@
 $lang['search'] = 'išči';
 $lang['Home'] = 'Domov';
-$lang['in this album'] = 'v tej kategoriji';
-$lang['in %d sub-album'] = 'v %d pod-kategoriji';
-$lang['in %d sub-albums'] = 'v %d pod-kategorijah';
+$lang['in this album'] = 'v tem albumu';
+$lang['in %d sub-album'] = 'v %d pod-albumu';
+$lang['in %d sub-albums'] = 'v %d pod-albumih';
 $lang['included'] = 'vsebuje';
 $lang['Invalid password!'] = 'Napačno geslo!';
@@ -188,14 +188,11 @@
 $lang['Logout'] = 'Odjava';
 $lang['obligatory'] = 'obvezno';
-$lang['Maximum photo height'] = 'Maksimalna velikost slik';
-$lang['Maximum height must be a number superior to 50'] = 'Maksimalna velikost mora biti vecja od 50';
-$lang['Maximum photo width'] = 'Maksimalna dolžina slik';
-$lang['Most visited'] = 'Najbolj obiskana';
-$lang['display most visited photos'] = 'prikaži najbolj obiskane slike';
+$lang['Most visited'] = 'Največ ogledov';
+$lang['display most visited photos'] = 'prikaži največkrat ogledane slike';
 $lang['The number of photos per page must be a not null scalar'] = 'Število slik na stran, mora biti celo število, večje od nič.';
 $lang['Number of photos per page'] = 'Število slik na stran';
 $lang['Unknown identifier'] = 'Neznan';
 $lang['New password'] = 'Novo geslo';
-$lang['Rate this photo'] = 'Glasuj';
+$lang['Rate this photo'] = 'Oceni to sliko';
 $lang['Next'] = 'Naprej';
 $lang['no rate'] = 'brez ocene';
@@ -203,5 +200,5 @@
 $lang['Photos posted within the last %d days.'] = 'Elementi naloženi znotraj zadnjih %d  dni.';
 $lang['password updated'] = 'geslo spremenjeno';
-$lang['Recent period must be a positive integer value'] = 'Novo obdobje more biti pozitivno celo število';
+$lang['Recent period must be a positive integer value'] = 'Novo obdobje mora biti pozitivno celo število';
 $lang['photo'] = 'slika';
 $lang['Click on the photo to see it in high definition'] = 'Za ogled  v originalni velikosti, kliknite na sliko';
@@ -212,8 +209,8 @@
 $lang['Random photos'] = 'Naključne slike';
 $lang['display a set of random photos'] = 'prikaži množico naključno izbranih slik';
-$lang['Recent albums'] = 'Nove kategorije';
-$lang['display recently updated albums'] = 'prikaži na novo posodobljene kategorije';
-$lang['Recent period'] = 'Novo obdobje';
-$lang['Recent photos'] = 'Nove slike';
+$lang['Recent albums'] = 'Novi albumi';
+$lang['display recently updated albums'] = 'prikaži nedavno posodobljene albume';
+$lang['Recent period'] = 'Nedavno';
+$lang['Recent photos'] = 'Novejše slike';
 $lang['display most recent photos'] = 'prikaži najnovejše slike';
 $lang['Redirection...'] = 'Preusmeritev...';
@@ -222,11 +219,11 @@
 $lang['login mustn\'t start with a space character'] = 'prijava se ne sme začeti s presledkom';
 $lang['this login is already used'] = 'ta uporabnik je že prijavljen';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-mail mora biti oblike xxx@yyy.eee (primer : jack@altern.org)';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-mail mora biti oblike xxx@yyy.eee (primer : nekdo@domena.org)';
 $lang['please enter your password again'] = 'prosimo ponovno vpišite svoje geslo';
-$lang['Auto login'] = 'Avtomatska prijava';
+$lang['Auto login'] = 'Samodejna prijava';
 $lang['remove this tag from the list'] = 'odstrani oznako s seznama';
 $lang['representative'] = 'sličica albuma';
-$lang['Search for Author'] = 'Iskanje po avtorju';
-$lang['Search in albums'] = 'Iskanje po kategorijah';
+$lang['Search for Author'] = 'Iskanje avtorja';
+$lang['Search in albums'] = 'Iskanje v albumih';
 $lang['Search by date'] = 'Iskanje po datumu';
 $lang['Date'] = 'Datum';
@@ -238,13 +235,12 @@
 $lang['Empty query. No criteria has been entered.'] = 'Prazen niz. Vnesen ni bil niti en kriterij.';
 $lang['Search results'] = 'Rezultat iskanja';
-$lang['Search in sub-albums'] = 'Iskanje po podkategorijah';
-$lang['searched words : %s'] = 'iskalne besede : %s';
+$lang['Search in sub-albums'] = 'Iskanje po pod-albumih';
+$lang['searched words : %s'] = 'iskane besede : %s';
 $lang['Contact'] = 'Kontakt';
 $lang['set as album representative'] = 'nastavi kot sličico albuma';
-$lang['Maximum width must be a number superior to 50'] = 'Maksimalna dolžina mora biti večje od 50';
-$lang['display a calendar by creation date'] = 'prikaži kolendar po datumu nastanka';
-$lang['display all photos in all sub-albums'] = 'prikaži vse elemente v kategorijah in pod-kategorijah';
+$lang['display a calendar by creation date'] = 'prikaži koledar po datumu nastanka';
+$lang['display all photos in all sub-albums'] = 'prikaži vse slike v vseh pod-albumih';
 $lang['return to normal view mode'] = 'vrni se v normalni način';
-$lang['display a calendar by posted date'] = 'prikaži kolendar po datumu odpošiljanja';
+$lang['display a calendar by posted date'] = 'prikaži kolendar po datumu objave';
 $lang['Show number of comments'] = 'Prikaži število komentarjev';
 $lang['Show number of hits'] = 'Prikaži število zadetkov';
@@ -253,14 +249,14 @@
 $lang['Specials'] = 'Posebno';
 $lang['SQL queries in'] = 'SQL povpraševanje v';
-$lang['display only recently posted photos'] = 'prikaži samo zadnje odposlane slike';
+$lang['display only recently posted photos'] = 'prikaži samo nedavno objavljene slike';
 $lang['return to the display of all photos'] = 'vrni se v prikaz vseh slik';
 $lang['the beginning'] = 'začetek';
-$lang['Interface theme'] = 'Tema';
-$lang['Thumbnails'] = 'Predogled';
+$lang['Interface theme'] = 'Tema vmesnika';
+$lang['Thumbnails'] = 'Sličice';
 $lang['Menu'] = 'Meni';
 $lang['A comment on your site'] = 'Komentar na vaši strani';
 $lang['today'] = 'danes';
 $lang['Update your rating'] = 'Popravi svojo oceno';
-$lang['the username must be given'] = 'potrebno je uporabniško ime';
+$lang['the username must be given'] = 'zahtevano je uporabniško ime';
 $lang['useful when password forgotten'] = 'uporabno, v primeru izgubljenega gesla';
 $lang['Quick search'] = 'Hitro iskanje';
@@ -270,14 +266,14 @@
 $lang['Author: %s'] = 'Avtor: %s';
 $lang['Comment: %s'] = 'Komentar: %s';
-$lang['Comment by %s'] = 'Komentar za %s';
+$lang['Comment by %s'] = 'Komentiral %s';
 $lang['User: %s'] = 'Uporabnik: %s';
 $lang['Email: %s'] = 'E-pošta: %s';
 $lang['Admin: %s'] = 'Administrator: %s';
 $lang['Registration of %s'] = 'Prijavljenih %s';
-$lang['Album: %s'] = 'Kategorija: %s';
+$lang['Album: %s'] = 'Album: %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Nepravilen status uporabnika "guest", uporabljen bo privzeti status. Prosim obvestite skrbnika.';
 $lang['this email address is already in use'] = 'ta e-poštni naslov že uporablja drug uporabnik';
-$lang['Album results for'] = 'Category results for';
-$lang['Tag results for'] = 'Rezultat za značke';
+$lang['Album results for'] = 'Rezultat albumov za';
+$lang['Tag results for'] = 'Rezultat oznak za';
 $lang['from %s to %s'] = 'od %s do %s';
 $lang['Play of slideshow'] = 'Začni diaprojekcijo';
@@ -303,5 +299,5 @@
 $lang['month'][8] = "avgust";
 $lang['month'][9] = "september";
-$lang['Not repeat the slideshow'] = 'Ne ponovi prezentacije';
+$lang['Not repeat the slideshow'] = 'Ne ponavljaj diaprojekcije';
 $lang['Reduce diaporama speed'] = 'Zmanjšaj hitrost predvajanja';
 $lang['Accelerate diaporama speed'] = 'Povečaj hitrost predvajanja';
@@ -311,29 +307,29 @@
 $lang['%d photo'] = '%d slika';
 $lang['%d photos'] = '%d slik';
-$lang['%d photo is also linked to current tags'] = '%d slika je pravtako povezana s trenutno značko';
+$lang['%d photo is also linked to current tags'] = '%d slika je prav tako povezana s trenutno oznako';
 $lang['%d photos are also linked to current tags'] = '%d slike so prav tako povezane s trenutnimi oznakami';
-$lang['display photos linked to this tag'] = 'Pokaži slike povezane le s to oznako';
-$lang['photos posted during the last %d days'] = 'slike naložene zadnjih %d dni';
+$lang['display photos linked to this tag'] = 'Pokaži slike povezane s to oznako';
+$lang['photos posted during the last %d days'] = 'slike objavljene zadnjih %d dni';
 $lang['Piwigo Help'] = 'Piwigo pomoč';
-$lang['Rank'] = 'Rang';
+$lang['Rank'] = 'Uvrstitev';
 $lang['group by letters'] = 'razvrsti po abecedi';
 $lang['letters'] = 'črke';
-$lang['show tag cloud'] = 'prikaži oblak oznake';
+$lang['show tag cloud'] = 'prikaži oznake v oblaku';
 $lang['cloud'] = 'oblak';
 $lang['Reset to default values'] = 'Ponastavi na privzete vrednosti';
 $lang['delete all photos from your favorites'] = 'odstrani vse slike iz svojih priljubljenih';
 $lang['Sent by'] = 'Poslano od';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Piškotki so blokirani ali niso podprti s strani vašega brskalnika. Za prijavo je potrebno omogočiti piškotke.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Piškotki so blokirani ali pa jih vaš brskalnik ne podpira. Za prijavo je potrebno omogočiti piškotke.';
 $lang['Edit a comment'] = 'Uredi komentar';
 $lang['Are you sure?'] = 'Ali ste prepričani?';
 $lang['(!) This comment requires validation'] = '(!) Komentar potrebuje potrditev';
 $lang['Welcome'] = 'Dobrodošli';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Dobrodošli v svoji Piwigo galeriji!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Dobrodošli v vaši novi Piwigo galeriji!';
 $lang['... or browse your empty gallery'] = '... ali prebrskaj svojo prazno galerijo';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... ali prosim deaktivirajte to sporočilo , I will find my way by myself';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... ali prosim onemogočite to sporočilo , znašel se bom sam';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Zdravo %s, tvoja Piwigo galerija je prazna!';
 $lang['I want to add photos'] = 'Želim dodati slike';
 $lang['Manage this user comment: %s'] = 'Uredi komentar uporabnika: %s';
-$lang['Email address is missing. Please specify an email address.'] = 'Manjka e-pošta. Prosim navedite svojo e-pošto.';
+$lang['Email address is missing. Please specify an email address.'] = 'Manjkajoči e-poštni naslov. Prosim navedite svojo e-poštni naslov.';
 $lang['This author modified following comment:'] = 'Ta uporabnik je uredil naslednji komentar:';
 $lang['This author removed the comment with id %d'] = 'Ta uporabnik je odstranil komentar z id-jem %d';
@@ -345,5 +341,5 @@
 $lang['User "%s" has no email address, password reset is not possible'] = 'Uporabnik "%s" nima e-pošte, zato ponastavitev gesla ni možna';
 $lang['Someone requested that the password be reset for the following user account:'] = 'Nekdo je zahteval ponastavite gesla za uporabniški račun:';
-$lang['Username "%s" on gallery %s'] = 'Uporabnik "%s" za album %s';
+$lang['Username "%s" on gallery %s'] = 'Uporabnik "%s" galerije %s';
 $lang['To reset your password, visit the following address:'] = 'Za ponastavitev gesla, obiščite naslednji spletni naslov:';
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Če je bila to napaka, preprosto prezrite to sporočilo in nič se ne bo zgodilo.';
@@ -354,6 +350,6 @@
 $lang['Your password has been reset'] = 'Vaše geslo je bilo ponastavljeno';
 $lang['Return to home page'] = 'Vrnite se na domačo stran';
-$lang['Please enter your username or email address.'] = 'Prosim vnesite svoje uporabniško ime ali e-pošto.';
-$lang['You will receive a link to create a new password via email.'] = 'Po e-pošti boste prejeli povezavo za kreiranje novega gesla.';
+$lang['Please enter your username or email address.'] = 'Prosim vnesite svoje uporabniško ime ali e-poštni naslov.';
+$lang['You will receive a link to create a new password via email.'] = 'Na vaš e-pošti naslov boste prejeli povezavo za kreiranje novega gesla.';
 $lang['Username or email'] = 'Uporabniško ime ali e-pošta';
 $lang['Change my password'] = 'Spremeni geslo';
@@ -366,42 +362,42 @@
 $lang['Username: %s'] = 'Uporabnik: %s';
 $lang['Here are your connection settings'] = 'To so vaši prijavni podatki';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Če mislite, da ste prejeli to e-pošto po pomoti, se obrnite na nas na %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Če mislite, da ste prejeli to e-pošto po pomoti, se lahko obrnete na nas na: %s';
 $lang['large'] = 'velika';
 $lang['medium'] = 'srednja';
-$lang['Original'] = 'Original';
-$lang['Send my connection settings by email'] = 'Pošlji prijavne podatke po e-pošti';
+$lang['Original'] = 'Izvirna';
+$lang['Send my connection settings by email'] = 'Pošlji mi prijavne podatke na moj e-poštni naslov';
 $lang['small'] = 'majhna';
 $lang['square'] = 'kvadratno';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Uspešna registracija. Po e-pošti boste kmalu prejeli vaše prijavne podatke. Dobrodošli !';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Uspešno ste se registrirali. Na vaš e-mail naslov boste prejeli vaše prijavne podatke. Dobrodošli v naši fotogaleriji!!';
 $lang['Thank you for registering at %s!'] = 'Hvala za registracijo na %s!';
 $lang['thumb'] = 'sličica';
 $lang['Username modification'] = 'Sprememba uporabniškega imena';
 $lang['xlarge'] = 'večja';
-$lang['xxlarge'] = 'XXL-zelo velika';
+$lang['xxlarge'] = 'XXL - zelo velika';
 $lang['Your username has been successfully changed to : %s'] = 'Vaše uporabniško ime je bilo uspešno sprememenjeno na: %s';
 $lang['%d rate'] = '%d stopnja';
-$lang['2small'] = 'XXS-zelo mala';
-$lang['Date created, new &rarr; old'] = 'Datum kreiranja,nove &rarr; stare';
-$lang['Date created, old &rarr; new'] = 'Datum kreiranja,stare &rarr; nove';
-$lang['Date posted, new &rarr; old'] = 'Datum objave,nove &rarr; stare';
-$lang['Date posted, old &rarr; new'] = 'Datum objave,stare &rarr; nove';
+$lang['2small'] = 'XXS - zelo mala';
+$lang['Date created, new &rarr; old'] = 'Datum kreiranja, nove &rarr; stare';
+$lang['Date created, old &rarr; new'] = 'Datum kreiranja, stare &rarr; nove';
+$lang['Date posted, new &rarr; old'] = 'Datum objave, nove &rarr; stare';
+$lang['Date posted, old &rarr; new'] = 'Datum objave, stare &rarr; nove';
 $lang['Desktop'] = 'Namizje';
-$lang['File name, A &rarr; Z'] = 'Ime datoteke,A &rarr; Z';
-$lang['File name, Z &rarr; A'] = 'Ime datoteke,Z &rarr; A';
-$lang['Manual sort order'] = 'Ročni način sortiranja';
+$lang['File name, A &rarr; Z'] = 'Ime datoteke, A &rarr; Z';
+$lang['File name, Z &rarr; A'] = 'Ime datoteke, Z &rarr; A';
+$lang['Manual sort order'] = 'Ročni način razvrščanja';
 $lang['Mobile'] = 'Mobilen';
-$lang['Numeric identifier, 1 &rarr; 9'] = 'Numerični identifikator, 1 &rarr; 9';
-$lang['Numeric identifier, 9 &rarr; 1'] = 'Numerični identifikator, 9 &rarr; 1';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'Številčna oznaka, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'Številčna oznaka, 9 &rarr; 1';
 $lang['Photo sizes'] = 'Velikosti slike';
-$lang['Photo title, A &rarr; Z'] = 'Naslov slike,A &rarr; Z';
-$lang['Photo title, Z &rarr; A'] = 'Naslov slike,Z &rarr; A';
+$lang['Photo title, A &rarr; Z'] = 'Ime slike, A &rarr; Z';
+$lang['Photo title, Z &rarr; A'] = 'Ime slike, Z &rarr; A';
 $lang['Rating score, high &rarr; low'] = 'Ocene, visoke &rarr; nizke';
 $lang['Rating score, low &rarr; high'] = 'Ocene, nizke &rarr; visoke';
 $lang['Show latest comments first'] = 'Najnovejši komentarji najprej';
 $lang['Show oldest comments first'] = 'Najstarejši komentarji najprej';
-$lang['View in'] = 'Pogled v';
-$lang['Visits, high &rarr; low'] = 'Obiski, veliko &rarr; malo';
-$lang['Visits, low &rarr; high'] = 'Obiski, malo &rarr; veliko';
-$lang['xsmall'] = 'XS-manjša';
+$lang['View in'] = 'Poglej v';
+$lang['Visits, high &rarr; low'] = 'Obiskov, veliko &rarr; malo';
+$lang['Visits, low &rarr; high'] = 'Obiskov, malo &rarr; veliko';
+$lang['xsmall'] = 'XS - manjša';
 $lang['Forbidden'] = 'Prepovedan dostop';
 $lang['Page not found'] = 'Stran ne obstaja';
@@ -409,7 +405,7 @@
 $lang['Requested tag does not exist'] = 'Zahtevana oznaka ne obstaja';
 $lang['Bad request'] = 'Nepravilna zahteva';
-$lang['Permalink for album not found'] = 'Stalne povezave za album ni bilo mogoče najti';
+$lang['Permalink for album not found'] = 'Stalne povezave (permalink) za album ni bilo mogoče najti';
 $lang['Piwigo encountered a non recoverable error'] = 'Prišlo je do napake v Piwigo';
-$lang['Email address is mandatory'] = 'E-pošta je obvezna';
+$lang['Email address is mandatory'] = 'E-poštni naslov je obvezn';
 $lang['Username is mandatory'] = 'Uporabniško ime je obvezno';
 $lang['mandatory'] = 'obvezno';