Index: /trunk/language/eo_EO/install.lang.php
===================================================================
--- /trunk/language/eo_EO/install.lang.php	(revision 22688)
+++ /trunk/language/eo_EO/install.lang.php	(revision 22689)
@@ -21,51 +21,51 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['webmaster login can\'t contain characters \' or "'] = 'La retejestra salutnomo ne devas enteni la signoj \' aŭ ".';
-$lang['user password given by your host provider'] = 'Uzanto-pasvorto provizita de via provizanto de gastigo.';
-$lang['user login given by your host provider'] = 'Uzanto-salutnomo provizita de via provizanto de gastigo.';
-$lang['please enter your password again'] = 'Bv tajpi vian pasvorton denove.';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'Retadresa formato devas kongrui kun xxx@yyy.eee (ekz-e: jack@altern.org)';
+$lang['webmaster login can\'t contain characters \' or "'] = 'la retejestra salutnomo ne devas enteni la signoj \' aŭ "';
+$lang['user password given by your host provider'] = 'uzanto-pasvorto provizita de via provizanto de gastigo';
+$lang['user login given by your host provider'] = 'uzanto-salutnomo provizita de via provizanto de gastigo';
+$lang['please enter your password again'] = 'bonvolu tajpi vian pasvorton denove';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'retadresa formato devas kongrui kun xxx@yyy.eee (ekz-e: jack@altern.org)';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
-$lang['enter a login for webmaster'] = 'Tajpu retejestran salutnomon.';
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'Per ĝi, prefiksoj aldoniĝos sur la nomojn de la datumtabelo (ebligas al vi pli bone mastrumi viajn tabelojn).';
+$lang['enter a login for webmaster'] = 'entajpu retestran salutnomon';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'per ĝi, prefiksoj aldoniĝos sur la nomojn de la datumtabelo (ebligas al vi pli bone mastrumi viajn tabelojn)';
 $lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Vi devus vin direkti al la subtenoservo de via provizanto de gastigo, kaj serĉi kiel vi mem povas interŝanĝi al PHP 5.';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Vi povas elŝuti la agordan dosieron kaj alŝuti ĝin al la dosierujo "local/config" dum via instalado.';
-$lang['Just another Piwigo gallery'] = 'Nur alia bildogalerio ĉe Piwigo.';
+$lang['Just another Piwigo gallery'] = 'Nur alia bildogalerio ĉe Piwigo';
 $lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Eblas, ke Piwigo provos interŝanĝi vian agordon al PHP 5 kreante aŭ modifiante iun .htaccess-dosieron.';
 $lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Notu, ke eblas ŝanĝi vian agordon mem kaj poste restartigi Piwigo.';
-$lang['Keep it confidential, it enables you to access administration panel'] = 'Gardu ĝin sekreta, ĝi ebligas al vi aliri la administran panelon.';
-$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Ĝi montriĝos al vizitantoj. Necesas por reteja administrado.';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Gardu ĝin sekreta, ĝi ebligas al vi aliri la administran panelon';
+$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Ĝi montriĝos al vizitantoj. Necesas por reteja administrado';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Ŝajnas, ke via retejgastiganto nuntempe funkciigas PHP %s.';
 $lang['Welcome to your new installation of Piwigo!'] = 'Bonvenon al via nova instalado de Piwigo!';
 $lang['also given by your host provider'] = 'ankaŭ provizita de via provizanto de gastigo';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Ĉu vi bezonas helpon? Starigu demandon ĉe la <a href="%s">mesaĝtabulo de Piwigo</a>.';
-$lang['Try to configure PHP 5'] = 'Provu agordi PHP 5.';
+$lang['Try to configure PHP 5'] = 'Provu agordi PHP 5';
 $lang['Sorry!'] = 'Pardonu!';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'La vizitantoj povos uzi tiun retadreson por kontakti la retejestron.';
-$lang['Welcome to my photo gallery'] = 'Bonvenon al mia foto-galerio.';
-$lang['Webmaster password'] = 'Retejestra pasvorto';
-$lang['Webmaster mail address'] = 'Retejestra retadreso';
-$lang['Webmaster login'] = 'Retejestra salutnomo';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'La vizitantoj povos uzi tiun retadreson por kontakti la retestron';
+$lang['Welcome to my photo gallery'] = 'Bonvenon al mia foto-galerio';
+$lang['Webmaster password'] = 'Retestra pasvorto';
+$lang['Webmaster mail address'] = 'Retestra retadreso';
+$lang['Webmaster login'] = 'Retestra salutnomo';
 $lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ne kapablis agordi PHP 5.';
-$lang['verification'] = 'Kontrolado';
+$lang['verification'] = 'kontrolado';
 $lang['Hope to see you back soon.'] = 'Ĝis baldaŭa vizito via.';
 $lang['Start Install'] = 'Komenci la instaladon';
 $lang['Password ']['confirm'] = 'Pasvorto [konfirmu]';
 $lang['Password'] = 'Pasvorto';
-$lang['PHP 5 is required'] = 'Necesas PHP 5.';
+$lang['PHP 5 is required'] = 'Necesas PHP 5';
 $lang['User'] = 'Uzanto';
-$lang['Download the config file'] = 'Elŝuti la agordan dosieron.';
+$lang['Download the config file'] = 'Elŝuti la agordan dosieron';
 $lang['Database table prefix'] = 'Prefikso de datumtabeloj';
 $lang['Host'] = 'Gastiga komputilo';
 $lang['Installation'] = 'Instalado';
-$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Ne hezitu viziti niajn forumojn por obteni helpon: %s.';
-$lang['Default gallery language'] = 'Defaŭlta galeri-lingvo';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Ne hezitu viziti niajn forumojn por obteni helpon: %s';
+$lang['Default gallery language'] = 'Apriora galeri-lingvo';
 $lang['Database name'] = 'Nomo de datumbazo';
 $lang['Database configuration'] = 'Agordo de datumbazo';
-$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Anstataŭa solvo estas kopii la tekston en la ĉisupra tekstujo kaj alglui ĝin al la dosiero "local/config/database.inc.php" (Averto: nepras ke database.inc.php nur entenu tion, kio ĉeestas en la tekstujo, sen alineo nek spaceto).';
-$lang['Creation of config file local/config/database.inc.php failed.'] = 'Malsukcesis la kreado de local/config/database.inc.php.';
-$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Sukcesis kontektado kun la servilo, sed ne eblis konektado kun la datumbazo.';
-$lang['Congratulations, Piwigo installation is completed'] = 'Gratulon, la instalado de Piwigo plenumiĝis.';
-$lang['Can\'t connect to server'] = 'Ne eblas konekti kun la servilo.';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Anstataŭa solvo estas kopii la tekston en la ĉisupra tekstujo kaj alglui ĝin al la dosiero "local/config/database.inc.php" (Averto: nepras ke database.inc.php nur entenu tion, kio ĉeestas en la tekstujo, sen alineo nek spaceto)';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'La kreado de local/config/database.inc.php malsukcesis.';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Sukcesis kontektado kun la servilo, sed ne eblis konektado kun la datumbazo';
+$lang['Congratulations, Piwigo installation is completed'] = 'Gratulon, la instalado de Piwigo plenumiĝis';
+$lang['Can\'t connect to server'] = 'Ne eblas konekti kun la servilo';
 $lang['Basic configuration'] = 'Baza agordo';
 $lang['Admin configuration'] = 'Administra agordo';