Index: extensions/UserAdvManager/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/ru_RU/plugin.lang.php	(revision 22533)
+++ extensions/UserAdvManager/trunk/language/ru_RU/plugin.lang.php	(revision 22707)
@@ -109,3 +109,36 @@
 $lang['UAM_Add of %s'] = 'Профиль создан для %s';
 $lang['UAM_AdminConfMail'] = 'Подтверждение регистрации для администраторов';
+$lang['UAM_GTAuto'] = 'Автоматическое управление пользователями-призраками';
+$lang['UAM_GTAutoDel'] = 'Автоматическое удаление аккаунтов';
+$lang['UAM_GTAutoGp'] = 'Автоматическая смена группы/статуса/личного уровня';
+$lang['UAM_GTAutoMail'] = 'Автоматическая отправка эл.письма при смене группы/статуса/личного уровня';
+$lang['UAM_Err_UserManager_Settings'] = 'Эта страница доступна, только если активирована функция "Подтверждение регистрации", и если группа посетителей не подтверждена в разделе "Установки подтверждения регистрации".';
+$lang['UAM_Err_Userlist_Settings'] = 'Эта страница доступна, только если активирована функция "Мониторинг зарегистрированных пользователей" в разделе "Установки регистрации и другие функции". ';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Этот аккаунт использует запрещенную эл.почту:</b> ';
+$lang['UAM_Err_audit_username_char'] = '<b>Этот аккаунт использует один или больше запрещенных символов:</b> ';
+$lang['UAM_Restore_File'] = 'Восстановление конфигурации';
+$lang['UAM_Registration_Date'] = 'Регистрационные данные';
+$lang['UAM_Password reset selected users'] = 'Запрос обновления пароля для выбранных пользователей';
+$lang['UAM_Password: %s'] = 'Пароль: %s';
+$lang['UAM_PasswordTest'] = 'Проверка пароля:';
+$lang['UAM_Password_Reset_Msg'] = 'Пожалуйста, смените свой пароль!';
+$lang['UAM_PwdReset'] = 'Обновление пароля';
+$lang['UAM_PwdReset_Done'] = 'Пароль обновлен';
+$lang['UAM_PwdReset_NA'] = 'Исходный пароль';
+$lang['UAM_You need to confirm pwdreset'] = 'Вы должны подтвердить обновление пароля (поставьте галочку)!';
+$lang['UAM_group "%s" updated'] = 'Для лучшей производительности группа %s была автоматически установлена в качестве "группы по умолчанию".';
+$lang['UAM_no_update_pwd'] = '[профиль обновлен без смены пароля]';
+$lang['UAM_Update of %s'] = 'Профиль %s обновлен';
+$lang['UAM_User: %s'] = 'Пользователь: %s';
+$lang['UAM_audit'] = 'Установки аудита';
+$lang['UAM_audit_ok'] = 'Результат аудита - ОК';
+$lang['UAM_Default_ConfirmMail_Subject'] = 'Регистрация пользователя [username] в галерее [mygallery] подтверждена';
+$lang['UAM_ConfirmMail_Remail'] = 'Напоминание неподтвержденным пользователям';
+$lang['UAM_ConfirmMail_TimeOut_true'] = 'Включено. Количество дней до истечения срока действия:';
+$lang['UAM_Confirm_Mail'] = 'Подтверждение регистрации:';
+$lang['UAM_Confirm_Mail_local'] = 'Включено - Подтверждено администратором';
+$lang['UAM_Confirm_Mail_true'] = 'Включено - Подтверждено пользователем';
+$lang['UAM_AdminPassword_Enforced'] = 'Применение к администраторам ';
+$lang['UAM_Admins cannot be pwdreset'] = 'Возобновление пароля не может быть установлено для аккаунта администратора!';
+$lang['UAM_Bad_version_backup'] = 'Версия файла резервной копии не соответствует версии плагина! Восстановление не была выполнено.';
 ?>