Index: /extensions/FacebookPlug/Plugin/language/zh_CN/about.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/zh_CN/about.lang.php	(revision 22722)
+++ /extensions/FacebookPlug/Plugin/language/zh_CN/about.lang.php	(revision 22722)
@@ -0,0 +1,26 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Piwigo application'] = 'Piwigo应用';
+$lang['Piwigo group'] = 'Piwigo小组';
+$lang['Visit Piwigo on Facebook website:'] = '访问Piwigo的Facebook网页';
+?>
Index: /extensions/FacebookPlug/Plugin/language/zh_CN/common.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/zh_CN/common.lang.php	(revision 22722)
+++ /extensions/FacebookPlug/Plugin/language/zh_CN/common.lang.php	(revision 22722)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Join Facebook Piwigo group'] = '加入Piwigo的Facebook小组';
+$lang['Share on Facebook'] = '分享到Facebook';
+$lang['Upload photo on Facebook'] = '上传相片到Facebook';
+$lang['Via Facebook Piwigo application'] = '通过Facebook的Piwigo应用';
+?>
Index: /extensions/FacebookPlug/Plugin/language/zh_CN/description.txt
===================================================================
--- /extensions/FacebookPlug/Plugin/language/zh_CN/description.txt	(revision 22722)
+++ /extensions/FacebookPlug/Plugin/language/zh_CN/description.txt	(revision 22722)
@@ -0,0 +1,1 @@
+将你的相册添加到Facebook