Index: /extensions/LLGBO2/language/zh_CN/description.txt
===================================================================
--- /extensions/LLGBO2/language/zh_CN/description.txt	(revision 22738)
+++ /extensions/LLGBO2/language/zh_CN/description.txt	(revision 22738)
@@ -0,0 +1,5 @@
+LLGBO2
+在按钮下显示缩略图和Exif信息。(鼠标悬停时)
+-在图片周围显示边框。
+-在图片上显示导航。
+-仅在第一页及additional页显示banner。
Index: /extensions/LLGBO2/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/zh_CN/plugin.lang.php	(revision 22737)
+++ /extensions/LLGBO2/language/zh_CN/plugin.lang.php	(revision 22738)
@@ -24,9 +24,80 @@
 $lang['Reset_To_Default'] = '重置为默认值';
 $lang['Step1_Title'] = '插件设置';
-$lang['Step2_Title'] = '小工具提示设置';
+$lang['Step2_Title'] = '提示信息设置';
 $lang['Step4_Title'] = '显示/隐藏每一个页面的头部';
 $lang['llgbo_M_header'] = '头部显示管理';
 $lang['llgbo_M_manage'] = '全局设置';
-$lang['llgbo_M_tooltip'] = '小工具管理';
+$lang['llgbo_M_tooltip'] = '提示信息管理';
 $lang['llgbo_always_displayexif'] = '总是显示METADATA:';
+$lang['llgbo_samples'] = '样例：';
+$lang['llgbo_title_frame'] = '在框架上显示图片标题';
+$lang['llgbo_title_frame_color'] = '在框架上显示的图片标题的颜色';
+$lang['llgbo_tooltip'] = '鼠标悬停于缩略图上时的提示信息：';
+$lang['llgbo_tooltip_backgroundcolor'] = '提示信息的背景颜色';
+$lang['llgbo_tooltip_bordercolor'] = '提示信息的边框颜色';
+$lang['llgbo_tooltip_color'] = '提示信息的文字颜色';
+$lang['llgbo_tooltip_titlecolor'] = '提示信息的标题颜色';
+$lang['llgbo_usemap'] = '在图片上添加导航：';
+$lang['llgbo_usemap_thumb'] = '当启用图片上的导航时显示缩略图：';
+$lang['llgo_frame_setting'] = '框架设置：';
+$lang['llgo_global_setting'] = 'Piwigo图片页全局设置';
+$lang['llgo_tooltip_setting'] = '提示信息标题';
+$lang['llgo_tooltip_size'] = '提示信息边框宽度';
+$lang['llgo_tooltip_width'] = '提示信息宽度';
+$lang['llgo_warning_setting'] = '要与Gally themes一起使用，必须安装cl_conflit插件';
+$lang['preview'] = '预览';
+$lang['previewsamples'] = '显示该样例';
+$lang['save'] = '保存';
+$lang['submit'] = '提交';
+$lang['llgbo_header_category_filter_recent'] = '在分类页上显示页头 (filter by recent)';
+$lang['llgbo_header_category_flat'] = '在分类页上显示页头 (option flat)';
+$lang['llgbo_header_category_posted_monthly'] = '在分类页上显示页头 (option calendar)';
+$lang['llgbo_header_comments'] = '在评论页上显示页头';
+$lang['llgbo_header_created_monthly_calendar'] = '在日历页上显示页头';
+$lang['llgbo_header_favorites'] = '在My Favorites页上显示页头';
+$lang['llgbo_header_home'] = '在首页上显示页头';
+$lang['llgbo_header_identification'] = '在identification页上显示页头';
+$lang['llgbo_header_list'] = '在随机图片页上显示页头';
+$lang['llgbo_header_most_visited'] = '在最受关注页上显示页头';
+$lang['llgbo_header_notification'] = '在RSS订阅页上显示页头';
+$lang['llgbo_header_picture'] = '在图片页上显示页头';
+$lang['llgbo_header_recent_cats'] = '在最新相册页上显示页头';
+$lang['llgbo_header_recent_pics'] = '在最新图片页上显示页头';
+$lang['llgbo_header_register'] = '在注册页上显示页头';
+$lang['llgbo_header_search'] = '在搜索页上显示页头';
+$lang['llgbo_header_tags'] = '在标签页上显示页头';
+$lang['llgbo_header_thePiwiShackControllerPage'] = '在PiwiShack Controller插件页上显示页头';
+$lang['llgbo_info'] = ' (^_^) 设置已更新';
+$lang['llgbo_maintain_header'] = '在如下页保留页头：';
+$lang['llgbo_frame_bdcolor12'] = '第13行颜色：';
+$lang['llgbo_frame_bdcolor13'] = '第14行颜色：';
+$lang['llgbo_frame_bdcolor14'] = '第15行颜色：';
+$lang['llgbo_frame_bdcolor15'] = '第16行颜色：';
+$lang['llgbo_frame_bdcolor2'] = '第3行颜色：';
+$lang['llgbo_frame_bdcolor3'] = '第4行颜色：';
+$lang['llgbo_frame_bdcolor4'] = '第5行颜色：';
+$lang['llgbo_frame_bdcolor5'] = '第6行颜色：';
+$lang['llgbo_frame_bdcolor6'] = '第7行颜色：';
+$lang['llgbo_frame_bdcolor7'] = '第8行颜色：';
+$lang['llgbo_frame_bdcolor8'] = '第9行颜色：';
+$lang['llgbo_frame_bdcolor9'] = '第10行颜色：';
+$lang['llgbo_frame_bdsize'] = '宽度：';
+$lang['llgbo_frame_sample'] = '样例列表';
+$lang['llgbo_hdShadowbox'] = '依从 HD Shadowbox 和图片上的导航<br> HD Shadowbox 必须被启用！';
+$lang['llgbo_header'] = '管理页头显示';
+$lang['llgbo_header_about'] = '在About页上显示页头';
+$lang['llgbo_header_additional_page'] = '在Additional页上显示页头';
+$lang['llgbo_header_best_rated'] = '在评分最高页上显示页头';
+$lang['llgbo_header_category'] = '在分类页上显示页头';
+$lang['Step3_Title'] = '框架设置';
+$lang['Title'] = 'Looks like GBo';
+$lang['llgbo_M_frame'] = '框架管理';
+$lang['llgbo_default_navthumb'] = '禁止 Prev_Next 缩略图标准显示：';
+$lang['llgbo_dispinshadowbox'] = '在shadowbox中显示 -->';
+$lang['llgbo_exifunderbt'] = '鼠标悬停时显示EXIF提示信息';
+$lang['llgbo_frame'] = '管理图片边框：';
+$lang['llgbo_frame_bdcolor0'] = '第1行颜色：';
+$lang['llgbo_frame_bdcolor1'] = '第2行颜色：';
+$lang['llgbo_frame_bdcolor10'] = '第11行颜色：';
+$lang['llgbo_frame_bdcolor11'] = '第12行颜色：';
 ?>