Index: /trunk/language/lt_LT/admin.lang.php
===================================================================
--- /trunk/language/lt_LT/admin.lang.php	(revision 22740)
+++ /trunk/language/lt_LT/admin.lang.php	(revision 22741)
@@ -360,5 +360,5 @@
 $lang['Configuration'] = 'Konfigūracija';
 $lang['Confirm merge'] = 'Patvirtini sujungimą';
-$lang['Continue processing treatment'] = 'Tęsti vykdomą gydymą';
+$lang['Continue processing treatment'] = 'Tęsti vykdomą apdorojimą';
 $lang['Correction'] = 'Koregavimas';
 $lang['Correction applied with error'] = 'Koregavimas įvykdytas su klaida';
@@ -370,3 +370,192 @@
 $lang['Crop'] = 'Apkarpyti';
 $lang['Current name'] = 'Dabartinis pavadinimas';
+$lang['Plugin list'] = 'Priedų sąrašas';
+$lang['Plugins'] = 'Priedai';
+$lang['Plugins which need upgrade'] = 'Priedai, kurie bus atnaujinti';
+$lang['Portrait'] = 'Portretas';
+$lang['Position'] = 'Pozicija';
+$lang['Posted %s on %s'] = 'Paskelbta %s ant %s';
+$lang['Privacy level'] = 'Privatumo lygis';
+$lang['Privacy level set to "%s"'] = 'Privatumo lygis nustatytas į "%s"';
+$lang['Private'] = 'Privatu';
+$lang['Properties'] = 'Savybės';
+$lang['Public'] = 'Vieša';
+$lang['Public / Private'] = 'Vieša / Privatu';
+$lang['Purge compiled templates'] = 'Išvalyti parengtus šablonus';
+$lang['Purge history detail'] = 'Išvalyti istorijos detales';
+$lang['Purge history summary'] = 'Išvalyti istorijos suvestinę';
+$lang['Purge search history'] = 'Išvalyti paieškų istorija';
+$lang['Photos'] = 'Nuotraukos';
+$lang['Photos generation in progress...'] = 'Vyksta nuotraukų generavimas';
+$lang['Piwigo Administration'] = 'Piwigo administracija';
+$lang['Piwigo Announcements Newsletter'] = 'Piwigo naujienlaiškis';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publish priedas, skirtas Lightroom';
+$lang['Piwigo Update'] = 'Piwigo atnaujinimas';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader\'is';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo negali atsisiųsti atnaujinimo failo iš serverio';
+$lang['Piwigo configuration'] = 'Piwigo konfigūracija';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo eksportavimo priedas, skirtas Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo eksportavimo priedas, skirtas iPhoto';
+$lang['Piwigo for Android'] = 'Piwigo Android\'ui';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo iOS\'ui (iPhone, iPad, iPod Touch)';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo skelbimo priedas, skirtas Shotwell';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo skelbimo priedas, skirtas digiKam';
+$lang['Piwigo version'] = 'Piwigo versija';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Prašau patikrinti katalogo "plugins" ir jo subkatalogu leidimus (CHMOD).';
+$lang['Please select at least two groups'] = 'Prašome pasirinkti mažiausiai dvi grupes';
+$lang['Please wait...'] = 'Prašome palaukti...';
+$lang['Plugin has been successfully copied'] = 'Priedas sėkmingai nukopijuotas';
+$lang['Pending Comments'] = 'Nepatvirtinti komentarai';
+$lang['Permalink'] = 'Fikstuota nuoroda';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Fiksuotą nuorodą %s anksčiau naudojo albumas %s. Pirmiausia ištrinkite ją iš fiksuotu nuorodų istorijos.';
+$lang['Permalink %s is already used by album %s'] = 'Fiksuotą nuorodą %s jau naudoja albumas %s';
+$lang['Permalink history'] = 'Fiksuotų nuorodų istorija';
+$lang['Permalinks'] = 'Fiksuotos nuorodos';
+$lang['Permission denied'] = 'Nesuteiktas leidimas';
+$lang['Permission granted'] = 'Leidimas suteiktas';
+$lang['Permission granted for groups'] = 'Leidimas suteiktas grupėms';
+$lang['Permission granted for users'] = 'Leidimas suteiktas vartotojams';
+$lang['Permission granted thanks to a group'] = 'Leidimas suteiktas dėka grupės';
+$lang['Permission management'] = 'Leidimų tvarkymas';
+$lang['Permissions'] = 'Leidimai';
+$lang['Photo %s of %s'] = 'Nuotrauka %s iš %s';
+$lang['Photo Page'] = 'Nuotraukos psl.';
+$lang['Photo Properties'] = 'Nuotraukos savybės';
+$lang['Photo informations updated'] = 'Nuotraukų informacijos atnaujintos';
+$lang['Photo name'] = 'Nuotraukos pavadinimas';
+$lang['Photo sizes with crop'] = 'Nuotraukų dydžiai su apkarpymu';
+$lang['Photo unreachable or no support'] = 'Nuotraukos nepasiekiamos arba nepalaikomas jų formatas';
+$lang['Optional URL keyword'] = 'Pasirinktinis URL raktažodis';
+$lang['Options'] = 'Parinktys';
+$lang['Order of menubar items has been updated successfully.'] = 'Meniu juostos tvarka sėkmingai atnaujinta.';
+$lang['Original Size'] = 'Originalus dydis';
+$lang['Original file : %s'] = 'Originalus failas: %s';
+$lang['Original templates'] = 'Originalūs šablonai';
+$lang['Orphan tags deleted'] = 'Nesusietos žymos buvo ištrintos';
+$lang['Other plugins'] = 'Yra kitų priedų';
+$lang['Other private albums'] = 'Kiti privatūs albumai';
+$lang['Overall'] = 'Apžvalga';
+$lang['Page banner'] = 'Puslapio banneris';
+$lang['Page end'] = 'Puslapio pabaiga';
+$lang['Pages seen'] = 'Peržiūrėti puslapiai';
+$lang['Panorama'] = 'Panorama';
+$lang['Parameter'] = 'Nustatymai';
+$lang['Parameters'] = 'Parametrai';
+$lang['Parent album'] = 'Motininis albumas';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Nėra slaptažodžio patvirtinimo. Prašome pakartoti slaptažodį';
+$lang['Password is missing. Please enter the password.'] = 'Nėra slaptažodžio. Prašome įvesti slaptažodį';
+$lang['Path'] = 'Kelias';
+$lang['New photos were added'] = 'Naujos nuotrauos buvo įdėtos';
+$lang['No destination tag selected'] = 'Nepasirinkta paskirties žyma';
+$lang['No display'] = 'Nerodyti';
+$lang['No order field selected'] = 'Nepasirinkta laukelių tvarka';
+$lang['Not cropped correctly?'] = 'Blogai apipjaustyta?';
+$lang['Notification'] = 'Pranešimai';
+$lang['Notify administrators when a comment is'] = 'Informuoti adminstratorius, kai komentaras yra';
+$lang['Number of albums per page'] = 'Albumų skaičius į puslapį';
+$lang['Number of comments per page'] = 'Komentarų skaičius į puslapį';
+$lang['Number of downloads'] = 'Atsisiuntimų skaičius';
+$lang['Number of rates'] = 'Įvertinimų kiekis';
+$lang['Number of thumbnails to create'] = 'Sukurti miniatiūrų';
+$lang['Numeric identifier : %d'] = 'Skaitinis identifikatorius: %d';
+$lang['Obsolete Plugins'] = 'Pasenę priedai';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Linux\'e paketu menedžerio pagalba tiesiog instaliuokite Shotwell, tuomet aktyvuokite "Piwigo publishing" parinktį.';
+$lang['Only private albums are listed'] = 'Rodomi tik privatūs albumai';
+$lang['Opacity'] = 'Nepermatomumas';
+$lang['Operating system'] = 'Operacinė sistema';
+$lang['Operation in progress'] = 'Vyksta apdorojimas';
+$lang['Optimizations have been completed with some errors.'] = 'Optimizacijos buvo baigtos su keliomis klaidomis';
+$lang['New parent album'] = 'Naujas motininis albumas';
+$lang['New photos added'] = 'Naujos nuotraukos įkeltos';
+$lang['New tag'] = 'Nauja žyma';
+$lang['No file was uploaded'] = 'Nebuvo įkeltas joks failas';
+$lang['No group is permitted to see this private album'] = 'Jokiai grupei neleidžiama žiūrėti šio privataus albumo';
+$lang['No group selected, no action possible.'] = 'Nepasirinkta jokia grupė, todėl jokių veiksmų vykdyti neįmanoma.';
+$lang['No mail to send.'] = 'Nebus siunčiamas joks laiškas';
+$lang['No members to manage'] = 'Nėra jokių narių, kuriuos galima būtų tvarkyti';
+$lang['No photo can be deleted'] = 'Jokios nuotraukos negali būti ištrintos';
+$lang['No photo in the current set.'] = 'Šiuo metu rinkinyje nėra nuotraukų.';
+$lang['No photo in this album'] = 'Šiame albume nėra nuotraukų';
+$lang['No photo selected, %d photos in current set'] = 'Nepasirinkta jokia nuotrauka, šiame rinkinyje nuotraukų: %d';
+$lang['No photo selected, no action possible.'] = 'Nepasirinkta jokia nuotrauka, neįmanomas joks veiksmas.';
+$lang['No results'] = 'Nėra rezultatų';
+$lang['No user to send notifications by mail.'] = 'Nėra vartotojų, kurie galėtų būti informuoti paštu.';
+$lang['None'] = 'Nėra';
+$lang['Merge selected tags'] = 'Sujungti pasirinktas žymas';
+$lang['Merge tags'] = 'Sujungti žymas';
+$lang['Metadata synchronization results'] = 'Metadata sinchronizacijos rezultatai';
+$lang['Metadata synchronized from file'] = 'Metadata sinchronizuota iš failo';
+$lang['Minimum height'] = 'Minimalus aukštis';
+$lang['Minimum privacy level'] = 'Minimalus privatumo lygis';
+$lang['Minimum width'] = 'Minimalus plotis';
+$lang['Miscellaneous'] = 'Ivairūs';
+$lang['Missing Plugins'] = 'Trūkstami priedai';
+$lang['Missing a temporary folder'] = 'Trūksta laikinų failų katalogo';
+$lang['Modify information'] = 'Keisti informaciją';
+$lang['Month'] = 'Mėnuo';
+$lang['Move'] = 'Perkelti';
+$lang['Move albums'] = 'Perkelti albumus';
+$lang['Move to album'] = 'Perkelti į albumą';
+$lang['Multiple Size'] = 'Ivairūs dydžiai';
+$lang['Name'] = 'Vardas';
+$lang['Name of the duplicate'] = 'Dublikato vardas';
+$lang['New Version'] = 'Nauja versija';
+$lang['New name'] = 'Naujas vardas';
+$lang['List'] = 'Sąrašas';
+$lang['Make this language available to users'] = 'Padaryti šią kalbą prieinamą vartotojams';
+$lang['Make this theme available to users'] = 'Padaryti šią temą prieinamą vartotojams';
+$lang['Manage'] = 'Tvarkyti';
+$lang['Manage Permissions'] = 'Tvarkyti teises';
+$lang['Manage authorizations for selected albums'] = 'Tvarkyti pasirinktų vartotojų leidimus';
+$lang['Manage permissions for group "%s"'] = 'Tvarkyti grupės "%s" teises';
+$lang['Manage permissions for user "%s"'] = 'Tvarkyti vartotojo "%s" teises';
+$lang['Manage photo ranks'] = 'Nuotraukų rūšiavimo tvarka';
+$lang['Manage photos'] = 'Tvarkyti nuotraukas';
+$lang['Manage tags'] = 'Tvarkyti žymas';
+$lang['Manage the members'] = 'Tvarkyti narius';
+$lang['Manage this set of %d photos'] = 'Tvarkyti ši %d nuotraukų rinkinį';
+$lang['Manual order'] = 'Nustatyta tvarka';
+$lang['Maximum file size: %sB.'] = 'Maksimalus failo dydis: %sB.';
+$lang['Maximum height'] = 'Maksimalus aukštis';
+$lang['Maximum width'] = 'Maksimalus plotis';
+$lang['Members'] = 'Nariai';
+$lang['Menu Management'] = 'Meniu';
+$lang['Merge selected groups'] = 'Sujungti pasirinktas grupes';
+$lang['Last send'] = 'Paskutini siuntimas';
+$lang['Level 0'] = '---';
+$lang['Link all album photos to some existing albums'] = 'Susieti visas albumo nuotraukas su kokiu nors egzistuojančiu albumu';
+$lang['Linked albums'] = 'Susieti albumai';
+$lang['Local'] = 'Vietinis';
+$lang['Lock'] = 'Užrakinti';
+$lang['Lock albums'] = 'Užrakinti albumus';
+$lang['Lock gallery'] = 'Užrakinti galerijas';
+$lang['Locked'] = 'Užrakinta';
+$lang['Mail address is obligatory for all users'] = 'Pašto adresas privalomas visiems vartotojams';
+$lang['Mail content'] = 'Pranešimo turinys';
+$lang['Mail sent to %s [%s].'] = 'Pranešimas išsiųstas %s [%s].';
+$lang['Main'] = 'Pagrindinis';
+$lang['Main "guest" user does not exist'] = 'Pagrindinis "guest" vartotojas neegzistuoja';
+$lang['Main "guest" user status is incorrect'] = 'Neteisingas pagrindinio "guest" vartotojo statusas';
+$lang['Main "webmaster" user does not exist'] = 'Pagrindinis "webmaster" vartotojas neegzistuoja';
+$lang['Main "webmaster" user status is incorrect'] = 'Neteisingas pagrindinio "webmaster" vartotojo statusas';
+$lang['Main Page'] = 'Pagrindinis puslapis';
+$lang['Maintenance'] = 'Priežiūra';
+$lang['Last revisions'] = 'Paskutiniai pakeitimai';
+$lang['Last import'] = 'Paskutinė įkrova';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Jei nėra HD kokybės nuotraukos, bet esamas dydis yra didesnis už kitų dydžių dimensijas, tai Piwigo ją perkels ir traktuos kaip HD kokybės. Taip pat iš jos bus sukurti mažesnio dydžio paveiksliukai.';
+$lang['If you encounter problems or have any question, please send a message to'] = 'jeigu iškilo problemų arba turite kokių nors klausimų - prašome rašykite adresu';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'Jūsų php.ini faile upload_max_filesize (%sB) yra didesnis už post_max_size (%sB), reikėtų pakeisti šią nuostatą.';
+$lang['Include display of recent photos grouped by dates'] = 'Taip pat rodyti nesenas nuotraukas, surūšiuotas pagal datas';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Taip pat rodyti istorijos duomenis (Įspėjimas, gali būti viršytas serverio atminties limitas)';
+$lang['Information data registered in database'] = 'Informacija registruota duomenų bazėje';
+$lang['Install on your computer,'] = 'Įdiekite į savo kompiuterį,';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Likite su Piwigo projektu, užsisakykite Piwigo naujienlaiškį. Jums el. paštu bus atsiųstas pranešimas, kai bus išleista nauja versija (kartais su saugumo pataisymais, kuriuos būtina žinoti ir atnaujinti) ir kai projekte ivyksta svarbūs įvykiai. Paprastai - tik keletas laiškų per metus.';
+$lang['Landscape'] = 'Landscape';
+$lang['Language has been successfully installed'] = 'Kalba buvo sėkmingai instaliuota';
+$lang['Learn more'] = 'Sužinoti daugiau';
+$lang['Level 1'] = 'Kontaktai';
+$lang['Level 2'] = 'Draugai';
+$lang['Level 4'] = 'Šeima';
+$lang['Level 8'] = 'Administratoriai';
+$lang['Link all album photos to a new album'] = 'Susieti visas albumo nuotraukas į naują albumą';
 ?>