Index: /extensions/meta/admin/admin.php
===================================================================
--- /extensions/meta/admin/admin.php	(revision 22768)
+++ /extensions/meta/admin/admin.php	(revision 22769)
@@ -13,5 +13,5 @@
 //-------------------------------------------------------- sections definitions
 
-// Gestion des onglets
+// TAB gest
 if (!isset($_GET['tab']))
     $page['tab'] = 'gestion';
@@ -23,4 +23,7 @@
                l10n('meta_onglet_gestion'),
                $my_base_url.'&amp;tab=gestion');
+$tabsheet->add('Personal Meta',
+               l10n('Personal Metadata'),
+               $my_base_url.'&amp;tab=persometa');
 $tabsheet->add('description',
                l10n('meta_onglet_description'),
@@ -29,10 +32,10 @@
 $tabsheet->assign();
 
-// Onglet gestion des meta
+// Tab gest
 switch ($page['tab'])
 {
   case 'gestion':
 
-//charge la liste des meta
+//read metadata list
 $groups = array();
 $query = '
@@ -64,5 +67,5 @@
 
 
-//edit de meta
+//edit meta
 if (isset($_POST['submitchoixmeta']) and is_numeric($_POST['metalist']) and (!$_POST['metalist'])==0 and !is_adviser())
 	{
@@ -90,6 +93,6 @@
 	}
 
-//insértion de meta dans la table
-if (isset($_POST['submitinsmeta']) and !is_adviser())
+//inser metadata in table
+if (isset($_POST['submitinsmeta']))
 	{
 	$query = '
@@ -103,5 +106,5 @@
     break;
 
-// Onglet  description
+//description TAB
   case 'description':
 
@@ -113,4 +116,97 @@
 	  ));
 	break;
+
+// TAB personnal metadata
+  case 'persometa':
+
+  $template->assign(
+	'metapersoT',
+	array(
+	  'meta'=>l10n('meta_name'),
+	  ));
+$admin_base_url = $my_base_url.'&amp;tab=persometa';
+$metapersos = pwg_query("SELECT * FROM `". METAPERSO_TABLE .";");
+
+if (pwg_db_num_rows($metapersos)) {	
+ while ($metaperso = pwg_db_fetch_assoc($metapersos))
+	{
+    $items = array(
+      'METANAME' => $metaperso['metaname'],
+      'METAVAL' => $metaperso['metaval'],
+      'METATYPE' => $metaperso['metatype'],
+	  'U_DELETE' => $admin_base_url.'&amp;delete='.$metaperso['id'],
+      'U_EDIT' => $admin_base_url.'&amp;edit='.$metaperso['id'],
+		);
+		
+	$template->append('metapersos', $items);
+  	}
+}
+ if (isset($_POST['submitaddpersonalmeta']))
+	{
+	  $template->assign(
+	'meta_edit2',
+	array(
+	  'meta'=>l10n('meta_name'),
+	  'METAID' => 0,
+	  ));
+	}
+
+ if (isset($_POST['submitaddmetaperso']))
+	{
+		$query = '
+DELETE 
+  FROM ' . METAPERSO_TABLE . '
+  WHERE id = '.$_POST['invisibleID'].'
+  ;';
+$result = pwg_query($query);
+	
+	
+	$q = '
+INSERT INTO ' . $prefixeTable . 'metaperso(metaname,metaval,metatype)VALUES ("'.$_POST['insername'].'","'.$_POST['inserval'].'","'.$_POST['insertype'].'");';
+    pwg_query($q);
+	$_SESSION['page_infos'] = array(l10n('Personal metadata update'));
+	redirect($admin_base_url);  
+	}
+	
+	  if (isset($_GET['edit']))
+  {
+    check_input_parameter('edit', $_GET, false, PATTERN_ID);
+
+		$query = '
+select id,metaname,metaval,metatype
+  FROM ' . METAPERSO_TABLE . '
+  WHERE id = \''.$_GET['edit'].'\'
+  ;';
+$result = pwg_query($query);
+$row = pwg_db_fetch_assoc($result);	
+  $template->assign(
+    'meta_edit2',
+    array(
+      'METAID' => $row['id'],
+	  'METANAME' => $row['metaname'],
+      'METAVAL' => $row['metaval'],
+      'METATYPE' => $row['metatype'],
+      ));	
+	
+  }
+		
+	if (isset($_GET['delete']))
+{
+  check_input_parameter('delete', $_GET, false, PATTERN_ID);
+  
+  $query = '
+DELETE
+  FROM '.METAPERSO_TABLE.'
+  WHERE id = '.$_GET['delete'].'
+;';
+  pwg_query($query);
+ 
+  $_SESSION['page_infos'] = array(l10n('Personal metadata update'));
+  redirect($admin_base_url);
+}
+	
+	
+	break;
+
 	
 } 
Index: /extensions/meta/admin/admin.tpl
===================================================================
--- /extensions/meta/admin/admin.tpl	(revision 22768)
+++ /extensions/meta/admin/admin.tpl	(revision 22769)
@@ -54,9 +54,38 @@
 	</div>
 {/if}
-{if isset ($MAJ)}
-	<div class="comment">
-		<div style="text-align:center;">
-		<input class="submit" name="submitMAJ" type="submit" value="{'meta_onglet_maj'|@translate}" {$TAG_INPUT_ENABLED} />
-		</div>	
-	</div>
+{if isset ($metapersoT)}
+		<form method="post" >
+			<fieldset>
+			<input class="submit" name="submitaddpersonalmeta" type="submit" value="{'Add Personal metadata'|@translate}" {$TAG_INPUT_ENABLED} />
+  			</fieldset>
+		</form>
+		<form method="post" >
+			<fieldset>
+				<legend>{'List Personal Metadata'|@translate}</legend>
+  {foreach from=$metapersos item=metaperso}
+	  < meta {$metaperso.METATYPE}="{$metaperso.METANAME}" content="{$metaperso.METAVAL}">
+      <a href="{$metaperso.U_EDIT}">
+        <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" alt="{'edit'|@translate}" title="{'edit'|@translate}" />
+      </a>
+      <a href="{$metaperso.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
+        <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" id="btn_delete" alt="{'delete'|@translate}" title="{'Delete'|@translate}" />
+      </a>
+	<br>
+  {/foreach}
+  			</fieldset>
+		</form>
+	{if isset ($meta_edit2)}
+		<form method="post" >
+			<fieldset>
+				<legend>{'Personnal metadata'|@translate}</legend>
+				<input type="hidden" name="invisibleID" value="{$meta_edit2.METAID}">
+				< meta <input type="text" name="insertype" value="{$meta_edit2.METATYPE}" size="30" maxlenght="30"> ="<input type="text" name="insername" value="{$meta_edit2.METANAME}" size="30" maxlenght="30">" content="<input type="text" name="inserval" value="{$meta_edit2.METAVAL}" size="60" maxlenght="100">">
+				<br>	
+				<br>
+					<div style="text-align:center;">
+					<input class="submit" name="submitaddmetaperso" type="submit" value="{'Submit'|@translate}" {$TAG_INPUT_ENABLED} />
+					</div>
+			</fieldset>
+		</form>
+	{/if}
 {/if}
Index: /extensions/meta/initadmin.php
===================================================================
--- /extensions/meta/initadmin.php	(revision 22768)
+++ /extensions/meta/initadmin.php	(revision 22769)
@@ -7,6 +7,7 @@
 function meta_admin_menu($menu)
 {
+  load_language('plugin.lang', meta_PATH);
   array_push($menu, array(
-		'NAME' => 'Meta',
+	'NAME' => l10n('Manage tag Metadata'),
     'URL' => get_admin_plugin_menu_link(meta_PATH . 'admin/admin.php')));
   return $menu;
Index: /extensions/meta/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/meta/language/en_UK/plugin.lang.php	(revision 22768)
+++ /extensions/meta/language/en_UK/plugin.lang.php	(revision 22769)
@@ -1,3 +1,5 @@
 <?php
+
+$lang['Manage tag Metadata'] = 'Manage tag Metadata';
 
 //tab gest
@@ -26,20 +28,17 @@
 $lang['meta_onglet_description'] = 'Description Metadata';
 $lang['meta_author'] = 'Description meta author';
-$lang['meta_author_help'] = 'Information on the author <br>
-Information on the author of the site ';
+$lang['meta_author_help'] = 'Information on the author <br> Information on the author of the site ';
 $lang['meta_keywords'] = 'Description meta keywords';
-$lang['meta_keywords_help'] = '"Keyword, keyword, etc."<br>
-Keywords describing the web page. (Separated by a comma)';
+$lang['meta_keywords_help'] = '"Keyword, keyword, etc."<br> Keywords describing the web page. (Separated by a comma)';
 $lang['meta_Description'] = 'Description meta Description';
-$lang['meta_Description_help'] = 'Description of your site<br>
-Allows to give an information to post during the result of a search';
+$lang['meta_Description_help'] = 'Description of your site<br> Allows to give an information to post during the result of a search';
 $lang['meta_robots'] = 'Description meta robots';
-$lang['meta_robots_help'] = '
-all : Allows the robot to reference all the page (by default)<br>
-follow : Allows the robot to follow the links of the page<br>
-index : Allows the robot to index the page<br>
-nofollow : Forbidden the robot to follow the links<br>
-noindex : Forbidden the robot to index the page<br>
-none : Prevent the robot from pursuing the indexation of the site<br>
-';
+$lang['meta_robots_help'] = 'all : Allows the robot to reference all the page (by default)<br> follow : Allows the robot to follow the links of the page<br> index : Allows the robot to index the page<br> nofollow : Forbidden the robot to follow the links<br> noindex : Forbidden the robot to index the page<br> none : Prevent the robot from pursuing the indexation of the site<br>';
+
+//tab personal meta
+$lang['Personal Metadata'] = 'Personal Metadata';
+$lang['Personal metadata update'] = 'Personal metadata update';
+$lang['Add Personal metadata'] = 'Add Personal metadata';
+$lang['List Personal Metadata'] = 'List Personal Metadata';
+
 ?>
Index: /extensions/meta/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/meta/language/fr_FR/plugin.lang.php	(revision 22768)
+++ /extensions/meta/language/fr_FR/plugin.lang.php	(revision 22769)
@@ -1,3 +1,5 @@
 <?php
+
+$lang['Manage tag Metadata'] = 'Gèrer balises Metadonnées';
 
 //tab gest
@@ -26,21 +28,18 @@
 $lang['meta_onglet_description'] = 'Description des Metadonnées';
 $lang['meta_author'] = 'Description de meta author';
-$lang['meta_author_help'] = 'Informations sur l\'auteur<br>
-Informations sur l\'auteur du site';
+$lang['meta_author_help'] = 'Informations sur l\'auteur<br> Informations sur l\'auteur du site';
 $lang['meta_keywords'] = 'Description de meta keywords';
-$lang['meta_keywords_help'] = '"mot clé, mot clé, etc."<br>
-Mots clés décrivant la page Web.(séparé par une virgule)';
+$lang['meta_keywords_help'] = '"mot clé, mot clé, etc."<br> Mots clés décrivant la page Web.(séparé par une virgule)';
 $lang['meta_Description'] = 'Description de meta Description';
-$lang['meta_Description_help'] = 'Description de votre site<br>
-Permet de donner une information à afficher lors du résultat d\'une recherche.';
+$lang['meta_Description_help'] = 'Description de votre site<br> Permet de donner une information à afficher lors du résultat d\'une recherche.';
 $lang['meta_robots'] = 'Description de meta robots';
-$lang['meta_robots_help'] = '
-all : Permet au robot de référencer toute la page (par défaut)<br>
-follow : Permet au robot de suivre les liens de la page<br>
-index : Permet au robot d\'indexer la page<br>
-nofollow : Interdit au robot de suivre les liens<br>
-noindex : Interdit au robot d\'indexer la page<br>
-none : Empêche le robot de poursuivre l\'indexation du site<br>
-';
+$lang['meta_robots_help'] = 'all : Permet au robot de référencer toute la page (par défaut)<br> follow : Permet au robot de suivre les liens de la page<br> index : Permet au robot d\'indexer la page<br> nofollow : Interdit au robot de suivre les liens<br> noindex : Interdit au robot d\'indexer la page<br> none : Empêche le robot de poursuivre l\'indexation du site<br> ';
+
+//tab personal meta
+$lang['Personal Metadata'] = 'Metadonnées Personels';
+$lang['Personal metadata update'] = 'Metadonnées Personels Misent à jours';
+$lang['Add Personal metadata'] = 'Ajoutez des Metadonnées Personels';
+$lang['List Personal Metadata'] = 'Liste des Metadonnées Personels';
+
 
 ?>
Index: /extensions/meta/main.inc.php
===================================================================
--- /extensions/meta/main.inc.php	(revision 22768)
+++ /extensions/meta/main.inc.php	(revision 22769)
@@ -18,4 +18,5 @@
 define('meta_img_TABLE' , $prefixeTable . 'meta_img');
 define('meta_cat_TABLE' , $prefixeTable . 'meta_cat');
+define('METAPERSO_TABLE', $prefixeTable.'metaperso');
 
   // Plugin for admin
@@ -110,5 +111,29 @@
     $template->append('head_elements', '<meta name="robots" content="'.$meta['robots'].'">');
 	}
-
+	
+	//Metaperso
+	if (script_basename() !== 'admin')   
+{
+$metapersos = pwg_query("SELECT * FROM `". METAPERSO_TABLE .";");
+
+if (pwg_db_num_rows($metapersos)) {	
+ while ($metaperso = pwg_db_fetch_assoc($metapersos))
+	{
+    $items = array(
+      'METANAME' => $metaperso['metaname'],
+      'METAVAL' => $metaperso['metaval'],
+      'METATYPE' => $metaperso['metatype']
+		);
+		
+	$template->append('metapersos', $items);
+  	}
+	
+
+}
+	
+	$template->set_filename('PERSO_META', realpath(meta_PATH.'persometa.tpl'));	
+	$template->append('head_elements', $template->parse('PERSO_META', true));
+}	
+	
  }
 function add_metacat()
Index: /extensions/meta/maintain.inc.php
===================================================================
--- /extensions/meta/maintain.inc.php	(revision 22768)
+++ /extensions/meta/maintain.inc.php	(revision 22769)
@@ -11,4 +11,13 @@
 		define('meta_img_TABLE' , $prefixeTable . 'meta_img');
 		define('meta_cat_TABLE' , $prefixeTable . 'meta_cat');
+		define('METAPERSO_TABLE', $prefixeTable.'metaperso');
+
+	$query = "CREATE TABLE IF NOT EXISTS ". METAPERSO_TABLE ." (
+id SMALLINT( 5 ) UNSIGNED NOT NULL auto_increment,
+metaname VARCHAR( 255 ) NOT NULL ,
+metaval lONGTEXT NOT NULL ,
+metatype VARCHAR( 255 ) NOT NULL ,
+PRIMARY KEY (id))DEFAULT CHARSET=utf8;";
+	$result = pwg_query($query);
 		
 //Gestion MAJ2
@@ -156,4 +165,13 @@
 PRIMARY KEY (id))DEFAULT CHARSET=utf8;";
 	$result = pwg_query($query);
+	
+if (!defined('METAPERSO_TABLE')) define('METAPERSO_TABLE', $prefixeTable.'metaperso');
+	$query = "CREATE TABLE IF NOT EXISTS ". METAPERSO_TABLE ." (
+id SMALLINT( 5 ) UNSIGNED NOT NULL auto_increment,
+metaname VARCHAR( 255 ) NOT NULL ,
+metaval lONGTEXT NOT NULL ,
+metatype VARCHAR( 255 ) NOT NULL ,
+PRIMARY KEY (id))DEFAULT CHARSET=utf8;";
+	$result = pwg_query($query);
 
 	$majm1='meta 2.0.5';
Index: /extensions/meta/persometa.tpl
===================================================================
--- /extensions/meta/persometa.tpl	(revision 22769)
+++ /extensions/meta/persometa.tpl	(revision 22769)
@@ -0,0 +1,3 @@
+  {foreach from=$metapersos item=metaperso}
+<meta {$metaperso.METATYPE}="{$metaperso.METANAME}" content="{$metaperso.METAVAL}">
+  {/foreach}  