Index: /trunk/language/eo_EO/admin.lang.php
===================================================================
--- /trunk/language/eo_EO/admin.lang.php	(revision 22827)
+++ /trunk/language/eo_EO/admin.lang.php	(revision 22828)
@@ -28,5 +28,5 @@
 $lang['Upload Photos'] = 'Alsuti fotojn';
 $lang['Select an album'] = 'Elekti fotaron';
-$lang['... or '] = '... au ';
+$lang['... or '] = '... aŭ ';
 $lang['create a new album'] = 'krei novan fotaron';
 $lang['Select files'] = 'Elekti dosierojn';
@@ -35,8 +35,8 @@
 $lang['Maximum file size: %sB.'] = 'Maksimuma grando de la fotoj: %sB.';
 $lang['Allowed file types: %s.'] = 'dosiertipo permesita: %s.';
-$lang['+ Add an upload box'] = '+ Aldoni alsutan fenestron';
+$lang['+ Add an upload box'] = '+ Aldoni alŝutan fenestron';
 $lang['Add another set of photos'] = 'Aldoni plian aron de fotoj';
 $lang['Photo %s of %s'] = 'Foto %s de %s';
-$lang['%d photos uploaded'] = '%d fotoj alsutitaj';
+$lang['%d photos uploaded'] = '%d fotoj alŝutitaj';
 $lang['All %d photos are selected'] = 'Ciuj %d fotoj estas elektitaj';
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Vi uzas la foliumilan alsutilon, kaze de problemo, provu la <a href="%s">Flash alsutilon</a> anstatau.';
@@ -72,3 +72,61 @@
 $lang['%d hour'] = '%d horo';
 $lang['%d hours'] = '%d horoj';
+$lang['(this tag will be deleted)'] = '(tiu etikedo estos forigita)';
+$lang['%d week'] = '%d semajno';
+$lang['%d weeks'] = '%d semajnoj';
+$lang['%d year'] = '%d jaro';
+$lang['%d years'] = '%d jaroj';
+$lang['%s ago'] = '%s antaŭe';
+$lang['%s in the future'] = '%s venonte';
+$lang['%d line filtered'] = '%d filtrita linio';
+$lang['%d lines filtered'] = '%d filtritaj linioj';
+$lang['%d of %d photos selected'] = '%d fotoj el %d elektiĝis';
+$lang['%d parameter was updated.'] = '%d parametro ĝisdatiĝis.';
+$lang['%d parameters were updated.'] = '%d parametroj ĝisdatiĝis.';
+$lang['%d physical'] = '%d fizika';
+$lang['%d physicals'] = '%d fizikaj';
+$lang['%d photos were deleted'] = '%d foto forigitaj';
+$lang['%d second'] = '%d sekundo';
+$lang['%d seconds'] = '%d sekundoj';
+$lang['%d tag'] = '%d etikedo';
+$lang['%d tags'] = '%d etikedoj';
+$lang['%d user'] = '%d uzanto';
+$lang['%d user comment rejected'] = '%d komento de la uzanto malakceptita';
+$lang['%d user comment validated'] = '%d komento de la uzanto validigita';
+$lang['%d user comments rejected'] = '%d komentoj de la uzanto malakceptitaj';
+$lang['%d user comments validated'] = '%d komentoj de la uzanto validigitaj';
+$lang['%d user deleted'] = '%d uzanto forigita';
+$lang['%d user was not updated.'] = '%d uzanto ne ĝisdatigita.';
+$lang['%d user was updated.'] = '%d uzanto ĝisdatigita.';
+$lang['%d users'] = '%d uzantoj';
+$lang['%d users deleted'] = '%d uzantoj forigitaj';
+$lang['%d users were not updated.'] = '%d uzantoj ne ĝisdatigitaj.';
+$lang['%d users were updated.'] = '%d uzantoj ĝisdatigitaj.';
+$lang['%d mail was sent.'] = '%d retmesaĝo sendiĝis.';
+$lang['%d mails were not sent.'] = '%d retmesaĝoj ne sendiĝis.';
+$lang['%d mails were sent.'] = '%d retmesaĝoj sendiĝis.';
+$lang['%d member'] = '%d membro';
+$lang['%d members'] = '%d membroj';
+$lang['%d minute'] = '%d minuto';
+$lang['%d minutes'] = '%d minutoj';
+$lang['%d month'] = '%d monato';
+$lang['%d months'] = '%d monatoj';
+$lang['%d photo was deleted'] = '%d foto forigita';
+$lang['%d album moved'] = '%d albumo moviĝis';
+$lang['%d albums moved'] = '%d albumoj moviĝis';
+$lang['%d albums including'] = '%d albumoj inkluzive';
+$lang['%d album including'] = '%d albumo inkluzive';
+$lang[' and %d virtual'] = 'kaj %d virtuala';
+$lang[' and %d virtuals'] = 'kaj %d virtualaj';
+$lang['%d anomalies have been detected corrected.'] = '%d nenormalaĵoj troviĝis kaj korektiĝis.';
+$lang['%d anomalies have been detected.'] = '%d nenormalaĵoj troviĝis.';
+$lang['%d anomalies have been ignored.'] = '%d nenormalaĵoj ignoriĝis.';
+$lang['%d anomalies have not been corrected.'] = 'Ne eblis korektiĝi %d nenormalaĵojn.';
+$lang['%d anomaly has been corrected.'] = '%d nenormalaĵo korektiĝis.';
+$lang['%d anomaly has been detected.'] = '%d nenormalaĵo troviĝis.';
+$lang['%d anomaly has been ignored.'] = '%d nenormalaĵo ignoriĝis.';
+$lang['%d anomaly has not been corrected.'] = 'Ne eblis korektiĝi %d nenormalaĵon.';
+$lang['%d mail was not sent.'] = '%d retmesaĝo ne sendiĝis.';
+$lang['%d guests'] = '%d vizitantoj';
+$lang['%d guest'] = '%d vizitanto';
 ?>